<!DOCTYPE html>
<html lang="vi-VN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>NEOPAY SDK Example UAT</title>
</head>

<body>
    <h3>UAT ENV</h3>
    <span>NEOPAY SDK Example</span>
    <br>
    <br>
    <form>
        <label for="neo_Amount">Amount:</label><br>
        <input type="number" id="neo_Amount" name="neo_Amount" value="10000"><br><br>

        <label for="neo_MerchantCode">Merchant Code:</label><br>
        <input type="text" id="neo_MerchantCode" name="neo_MerchantCode" value="HUYEN1"><br><br>

        <label for="secretKey">Merchant Secret Key:</label><br>
        <input type="text" id="secretKey" name="secretKey" value="123456"><br><br>
    </form>

    <button onclick="onPayWithPopup()">Thanh toán (Popup)</button>
    <br />
    <br />
    <button onclick="onPayWithRedirect()">Thanh toán (Redirect)</button>
    <br />
    <br />
</body>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script neopay-sdk type="text/javascript"
    src="https://cdn.jsdelivr.net/gh/neopayvn/neopay-pg-js-sdk@latest/sdk/neopay-sdk.min.js"></script>
<script>
    $(document).ready(function () {
        const neo_PaymmentBaseUrl = "https://uat-api.neopay.vn/pg";
        const configUI = {
            neo_HiddenHeader: false,
            neo_HiddenFooter: true,
            neo_HiddenPaymentMethod: false,
            neo_HiddenOrderInfo: false,
        }
        const callbacks = {
            onSuccess: (data) => {
                console.log("success", data);
            },
            onFailure: (data) => {
                console.log("failure:", data);
            },
            onClose: (data) => {
                console.log(data)
            }
        }
        neopaySDK.init(neo_PaymmentBaseUrl, configUI, callbacks);
    })
    function onPayWithPopup() {
        let neo_Amount = document.getElementById("neo_Amount").value;
        let neo_MerchantCode = document.getElementById("neo_MerchantCode").value;
        let secretKey = document.getElementById("secretKey").value;

        const config = {
            neo_MerchantCode,
            neo_PaymentMethod: ["ATM", "CC", "WALLET", "BANK_TRANSFER"],
            neo_Currency: 'VND',
            neo_Locale: 'vi',
            neo_Version: '1',
            neo_Command: 'PAY',
            neo_Amount,
            neo_MerchantTxnID: `T${`${Date.now()}`.slice(-8)}`,
            neo_OrderID: `DH${`${Date.now()}`.slice(-8)}`,
            neo_OrderInfo: `Thanh toán ĐH Test`,
            neo_Title: 'Thanh toán',
            neo_ReturnURL: "https://neopay-sdk-example.vercel.app/result",
            neo_AgainURL: "https://neopay-sdk-example.vercel.app/result",
            neo_ViewType: "POPUP", //POPUP | REDIRECT
        };
        console.log("🚀 config", config)
        neopaySDK.pay(config, secretKey);
    }

    function onPayWithRedirect() {
        let neo_Amount = document.getElementById("neo_Amount").value;
        let neo_MerchantCode = document.getElementById("neo_MerchantCode").value;
        let secretKey = document.getElementById("secretKey").value;

        const config = {
            neo_MerchantCode,
            neo_PaymentMethod: ["ATM", "CC", "WALLET", "BANK_TRANSFER"],
            neo_Currency: 'VND',
            neo_Locale: 'vi',
            neo_Version: '1',
            neo_Command: 'PAY',
            neo_Amount,
            neo_MerchantTxnID: `T${`${Date.now()}`.slice(-8)}`,
            neo_OrderID: `DH${`${Date.now()}`.slice(-8)}`,
            neo_OrderInfo: `Thanh toán ĐH Test`,
            neo_Title: 'Thanh toán',
            neo_ReturnURL: "https://neopay-sdk-example.vercel.app/result",
            neo_AgainURL: "https://neopay-sdk-example.vercel.app/result",
            neo_ViewType: "REDIRECT", //POPUP | REDIRECT
        };
        console.log("🚀 config", config)
        neopaySDK.pay(config, secretKey);
    }
</script>

</html>